Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.structures
Class PropertyBinding

    java.lang.Object
      org.eclipse.birt.report.model.core.Structure
          org.eclipse.birt.report.model.api.elements.structures.PropertyBinding

All Implemented Interfaces:
  java.lang.Cloneable, IStructure, org.eclipse.birt.report.model.core.IPropertySet

    public class PropertyBinding

extends org.eclipse.birt.report.model.core.Structure

Represents the property binding structure. The property binding defines the overridable property value. It includes property name, element ID and overridden value.

Field Summary
`protected java.lang.String` | `encryptionID` The encryption id for the encrypted property value.
`protected java.math.BigDecimal` | `id` Element id of the property binding.
`static java.lang.String` | `ID_MEMBER` Name of the "id" property.
`protected java.lang.String` | `name` Name of the property binding.
`static java.lang.String` | `NAME_MEMBER` Name of the "name" property.
`static java.lang.String` | `PROPERTY_BINDING_STRUCT` Name of the structure.
`protected Expression` | `value` Value expression of this property binding.
`static java.lang.String` | `VALUE_MEMBER` Name of the "value" property.

Constructor Summary
`PropertyBinding()` Constructs a PropertyMask.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getEncryption()` Returns the encryption id.
`java.math.BigDecimal` | `getID()` Gets the element id of the binding.
`protected java.lang.Object` | `getIntrinsicProperty(java.lang.String propName)`
`java.lang.String` | `getName()` Gets the property name of this binding.
`java.lang.String` | `getStructName()` Returns the name of the structure definition.
`java.lang.String` | `getValue()` Gets the overridden value of this binding.
`protected StructureHandle` | `handle(SimpleValueHandle valueHandle, int index)`
`void` | `setEncryption(java.lang.String encryptionID)` Sets the encryption id for the encrypted value.
`void` | `setID(long id)` Sets the element id of this binding.
`protected void` | `setIntrinsicProperty(java.lang.String propName, java.lang.Object value)`
`void` | `setName(java.lang.String name)` Sets the name of the property binding.
`void` | `setValue(java.lang.String expression)` Sets the overridden value of this binding.
`java.util.List<SemanticException>` | `validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`

Methods inherited from class org.eclipse.birt.report.model.core.Structure
`copy, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getHandle, getLocalProperty, getLocalProperty, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setProperty, setupContext, updateReference`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_BINDING_STRUCT

    public static final java.lang.String PROPERTY_BINDING_STRUCT

  Name of the structure.

  See Also:
    Constant Field Values

### NAME_MEMBER

    public static final java.lang.String NAME_MEMBER

  Name of the "name" property.

  See Also:
    Constant Field Values

### ID_MEMBER

    public static final java.lang.String ID_MEMBER

  Name of the "id" property.

  See Also:
    Constant Field Values

### VALUE_MEMBER

    public static final java.lang.String VALUE_MEMBER

  Name of the "value" property.

  See Also:
    Constant Field Values

### name

    protected java.lang.String name

  Name of the property binding.

### id

    protected java.math.BigDecimal id

  Element id of the property binding. Then Call `ModuleHandle.getElementByID(long)` to find the host element of this property binding defined.

### value

    protected Expression value

  Value expression of this property binding.

### encryptionID

    protected java.lang.String encryptionID

  The encryption id for the encrypted property value.

Constructor Detail

### PropertyBinding

    public PropertyBinding()

  Constructs a PropertyMask.

Method Detail

### getIntrinsicProperty

    protected java.lang.Object getIntrinsicProperty(java.lang.String propName)

  Specified by:
    `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`

### setIntrinsicProperty

    protected void setIntrinsicProperty(java.lang.String propName,
                                        java.lang.Object value)

  Specified by:
    `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`

### handle

    protected StructureHandle handle(SimpleValueHandle valueHandle,
                                     int index)

  Specified by:
    `handle` in class `org.eclipse.birt.report.model.core.Structure`

### getStructName

    public java.lang.String getStructName()

  Description copied from interface: `IStructure`
  Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

  Returns:
    the internal name of the structure a defined in the meta-data dictionary.

### setName

    public void setName(java.lang.String name)

  Sets the name of the property binding. It must be one of the defined property in the element.

  Parameters:
    `name` - the property name

### getName

    public java.lang.String getName()

  Gets the property name of this binding.

  Returns:
    the property name of this binding

### setID

    public void setID(long id)

  Sets the element id of this binding.

  Parameters:
    `id` - the element id to set

### getID

    public java.math.BigDecimal getID()

  Gets the element id of the binding.

  Returns:
    the element id of this binding

### getValue

    public java.lang.String getValue()

  Gets the overridden value of this binding.

  Returns:
    the overridden value of this binding.

### setValue

    public void setValue(java.lang.String expression)

  Sets the overridden value of this binding.

  Parameters:
    `expression` - the value expression to set

### validate

    public java.util.List<SemanticException> validate(org.eclipse.birt.report.model.core.Module module,
                                                      org.eclipse.birt.report.model.core.DesignElement element)

  Overrides:
    `validate` in class `org.eclipse.birt.report.model.core.Structure`

### setEncryption

    public void setEncryption(java.lang.String encryptionID)

  Sets the encryption id for the encrypted value. This method is not recommended to be called by users. It is just called by Model inner APIs. Otherwise, if user sets a wrong id inconsistent with the value, they might get an odd value.

  Parameters:
    `encryptionID` -

### getEncryption

    public java.lang.String getEncryption()

  Returns the encryption id.

  Returns:
    the encryption id.

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `org.eclipse.birt.report.model.core.Structure`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.